package Messages;
use strict;

# SWAT v2.1
# (S)earch (W)ith (A)uthority (T)ool
#
# Copyright (C) 1997
# Chris Knight <cknite@net66.com> 
# See Swatindex --gnu for information on the distribution license
# 
# This Object will be changed when Swatindex is given an optional Tk
# front-end. Printing to STDERR etc. will be changed to printing to
# STDERR only if we're running from the command line and to a textarea
# otherwise etc.

sub new {
   my $proto = shift;
   my $class = ref($proto) || $proto;
   my $self = {};
   bless ($self, $class);
   return $self;
}

sub message {
my $self = shift;
print <<EOM;
---------------------------------------------------------------------------
SWAT 2.1 Indexer

SWAT comes with ABSOLUTELY NO WARRANTY
\tThis is free software, and you are welcome
\tto redistribute it under certian conditions;
\tRun Swatindex --gnu for more details
---------------------------------------------------------------------------
\n
EOM
}

sub help {
my $self = shift;
print <<EOM;
Usage: Short:   Swatindex [-acohgvm]
       Long: 	Swatindex --append --check --overwrite --help --gnu
		 --version --message --indextype=s --config=s
		 --indexfile=s --sites=s --baseurl=s --basedir=s
		 --extdir=s --dbdir=s --searchdir=s

-a --append     Append to current index.
-o --overwrite  Overwrite current index, re-indexing all files.
-h --help       This help screen.
-g --gnu        GNU General Public License (GPL) 2.0 Agreement
-v --version    Version Information
-m --message 	Swatindex Message

--homedir=s	Specify dir containing Indexer when not running from ./
--config=s	Config file Otherwise defaults to 'config'

--indexfile=s	Indexfile
--baseurl=s	Base URL for current index
--basedir=s	Base Directory to Start Indexing
--extdir=s	Indexing Extensions Directory
--dbdir=s       Database Extensions Directory
--searchdir=s   Search Extensions Directory
--swatdir=s     Directory containing Indexer
--email=s       Email contact for Indexer Admin
--indextype=s   Database type to use while indexing
--sites=s	Sites definition file
--recursive=n   Recursive Index from basedir. 0=no,1=yes
--symlinks=n    Follow Symlinks while recursive is yes? 0=no, 1=yes
--depth=n       Depth of Recursion if recursive is yes
--timeout=n     Timeout per site while indexing
\n
EOM
}

sub gnu {
   my $self = shift;
   unless (open(GNU,"COPYING-2.0")) {
      die "Could not open GNU License Agreement COPYING-2.0\n";
   }
   while (<GNU>) {
      print $_;
   }
}

sub extdir {      
    my $self = shift;
    my $extdir = shift;
    print "-- Extension Directory $extdir does not exist.\n";
}

sub db {
    my $self = shift;
    print "-- Illegal DB Type.\n";
}

sub version {
   my $self = shift;
print <<EOM;
Swat 2.1 beta 4
Swat Indexer 2.1 beta 4

Last updated 12/23/97

Copyright 1997 Chris Knight <cknite\@net66.com>

Swat may be copied only under the terms of GNU General Public License.
Swatindex --gnu for more information
EOM
}

sub wrong_db {
   my $self = shift;
   my $type = shift;
print <<EOM;
-- Illegal Database type
\tThe Database type $type has not been added to Swat's extensions.
\tOptions->indexer->db should contain a $type entry.
EOM
}

sub append {
my $self = shift;
print <<EOM;
-- Index file exists.
\tTo append to current index run with -a
\tTo overwrite index run with -o
EOM
}

sub read_write {
my $self = shift;
print "-- Specified Index file is non-readable and/or non-writable.\n";
}

sub err_extdir {
my $self = shift;
print "-- Specified Extension Directory does not Exist.\n";
}
1;


